As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 657487 - Include static keyword in definitions of signal callback functions
: Include static keyword in definitions of signal callback functions
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla6
Assigned To: Hiroyuki Ikezoe (:hiro)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 15:18 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2011-05-18 02:48 PDT (History)
3 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
A patch (18.27 KB, patch)
2011-05-16 15:18 PDT, Hiroyuki Ikezoe (:hiro)
karlt: review+
Details | Diff | Splinter Review

Description User image Hiroyuki Ikezoe (:hiro) 2011-05-16 15:18:43 PDT
Created attachment 532758 [details] [diff] [review]
A patch

I do not know why those functions are not static but I guess those were copy-and-paste from static method of nsWindow class.
Comment 1 User image Karl Tomlinson (back Feb 1 :karlt) 2011-05-16 16:59:31 PDT
Comment on attachment 532758 [details] [diff] [review]
A patch

AFAIK all of these methods already have internal linkage due to the static keyword in their declaration, but it makes sense to me to explicitly specify in the definition also.
Comment 2 User image Mounir Lamouri (:mounir) 2011-05-17 07:09:06 PDT
Hiroyuki, when adding "checkin-needed" on a bug, could you make sure your patch is properly formatted so the push is easier to do. See these links: 
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3f
http://blog.bonardo.net/2010/06/22/so-youre-about-to-use-checkin-needed

And thanks for all these patches :)
Comment 3 User image Mounir Lamouri (:mounir) 2011-05-18 02:48:28 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/72dc5f89f9cd

Note You need to log in before you can comment on or make changes to this bug.